# Uses of Interface
org.eclipse.birt.chart.datafeed.IDataSetProcessor

Packages that use IDataSetProcessor
Package
Description
org.eclipse.birt.chart.api
org.eclipse.birt.chart.datafeed
Provides classes and interfaces that determine how a user's custom dataset needs to be interpreted.
org.eclipse.birt.chart.script

## Uses of IDataSetProcessor in org.eclipse.birt.chart.api

Methods in org.eclipse.birt.chart.api that return IDataSetProcessor
Modifier and Type
Method
Description
`final IDataSetProcessor`
ChartEngine.`getDataSetProcessor(Class cSeries)`
Retrieves the first instance of a data set processor registered as an extension for a given series type.

## Uses of IDataSetProcessor in org.eclipse.birt.chart.datafeed

Classes in org.eclipse.birt.chart.datafeed that implement IDataSetProcessor
Modifier and Type
Class
Description
`class`
`DataSetAdapter`
Provides a no-op implementation of the `IDataSetProcessor`interface definition to be subclassed by each extension writer as needed.

## Uses of IDataSetProcessor in org.eclipse.birt.chart.script

Methods in org.eclipse.birt.chart.script with parameters of type IDataSetProcessor
Modifier and Type
Method
Description
`void`
ChartEventHandlerAdapter.`beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)`
`void`
IChartEventHandler.`beforeDataSetFilled(Series series, IDataSetProcessor idsp, IChartScriptContext icsc)`
Called before populating the series dataset using the DataSetProcessor.